// in dem Szenario gibt es genau eine Bank, die eine Menge an Kunden hat
class Bank {
	// liefert den Kunden mit dem als Parameter bergebenen Namen;
	// liefert null, wenn es keinen Kunden mit dem bergebenen Namen
	// gibt
	public Kunde getKunde(String name) {
		return null;
	}
}

// ein Kunde hat einen Namen und ein Depot
class Kunde {

	// liefert den Namen des Kunden (!= null)
	public String getName() {
		return null;
	}

	// liefert das Depot des Kunden oder null, wenn der Kunde kein Depot besitzt
	public Depot getDepot() {
		return null;
	}
}

// in einem Depot werden Aktien aufbewahrt
class Depot {
	// liefert alle Aktien des Depots (!= null)
	public Aktie[] getAktien() {
		return null;
	}
}

// reprsentiert eine einzelne Aktie; Aktien haben als Identifier eine
// eindeutige ISIN (International Securities Identification Number)
class Aktie {

	// liefert die ISIN der Aktie (!= null)
	public String getISIN() {
		return null;
	}

	// liefert den Kurs, zu dem die Aktie gekauft wurde
	public double getKaufKurs() {
		return 0.0;
	}
}

// reprsentiert eine Mglichkeit zur Ermittlung von Aktienkursen
class Boerse {
	private Boerse() { // nicht direkt instantiierbar
	}

	// liefert den aktuellen Kurs der Aktie mit der als Parameter bergebenen
	// ISIN
	public static double getAktuellerKurs(String isin) {
		return 0.0;
	}
}

public class UE11Aufgabe26 {

	public static void main(String[] namen) {
		gewinnVerlust("Mueller", "Meier", "Schulze", "Schmidt");
	}

	public static void gewinnVerlust(String... namen) {
		Bank bank = new Bank();
		for (String name : namen) {
			double kaufWert = 0.0;
			double aktuellerWert = 0.0;
			Kunde kunde = bank.getKunde(name);
			if (kunde == null) {
				System.out.println(name + " ist kein Kunde der Bank.");
			} else {
				Depot depot = kunde.getDepot();
				if (depot != null) {
					Aktie[] aktien = depot.getAktien();
					for (Aktie aktie : aktien) {
						kaufWert = kaufWert + aktie.getKaufKurs();
						aktuellerWert = aktuellerWert
								+ Boerse.getAktuellerKurs(aktie.getISIN());
					}
				}
				if (aktuellerWert > kaufWert) {
					System.out.println(name + ": Aktueller Gewinn = "
							+ (aktuellerWert - kaufWert));
				} else if (aktuellerWert < kaufWert) {
					System.out.println(name + ": Aktueller Verlust = "
							+ (kaufWert - aktuellerWert));
				} else {
					System.out.println(name + ": Weder Gewinn noch Verlust.");
				}
			}
		}
	}
}
